Updating Hardened Repository Components

If you use Veeam Backup & Replication 12 prior cumulative patch P20230718 and want to update hardened repository components or remove a hardened repository from the backup infrastructure, make sure that the SSH connection is enabled. Consider that you also need to specify single-use credentials you use to connect to the Linux server and deploy Veeam Data Mover.

Important

The SSH connection is also required for updating hardened repository components in the following situations:

  • If you upgrade from Veeam Backup & Replication 11a or earlier versions to Veeam Backup & Replication 12 including versions with installed cumulative patches.
  • If you upgrade from any previous Veeam Backup & Replication version to Veeam Backup & Replication 12.1 (build 12.1.0.2131).

If you need to specify single-use credentials for multiple hardened repositories, you can use the Components Update window or the Set-VBRLinux cmdlet.

If you update Veeam Backup & Replication 12 to any cumulative patch, the SSH connection is not required for updating hardened repository components. For more information about cumulative patches, see this Veeam KB article.

Page updated 5/27/2024

Page content applies to build 12.1.2.172